import app.landscape

from app.scripts import BaseConfigScript

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        site = app.landscape.Landscape.getSite()
        
        clusterName = site.getLocalMachine().getPhysicalName() + "-cluster"
        cluster = site.getCluster(clusterName)
        
        if not cluster:
            raise Exception("No cluster '%s' defined" % clusterName)
            
        return "\n".join(["\tserver %s %s check port 443" % (m.getPhysicalName(), m.getIp()) for m in cluster.getMachines()])