import app.landscape

from app.scripts import BaseConfigScript

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        site = app.landscape.Landscape.getSite()
        
        clusterName = site.getLocalMachine().getPhysicalName() + "-cluster"
        cluster = site.getCluster(clusterName)
        
        if not cluster:
            raise Exception("No cluster '%s' defined" % clusterName)
            
        # Mark first server as active, rest as backup.
        config = []
        for m in sorted(cluster.getMachines(), key=lambda m: m.getPhysicalName()):
            # 'check' enables the health check
            # 'check-ssl' causes the health check to be run via SSL
            # 'verify none' causes SSL certificate validation to be skipped
        
            config.append("\tserver %s %s:443 check check-ssl %s verify none on-marked-down shutdown-sessions" % (
                m.getPhysicalName(), 
                m.getIp(),
                "backup" if len(config) > 0 else ""))
            
        return "\n".join(config)